# Categories Categories ## Creates a new category record that does not already exist. - [POST /categories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/categories/createcategory.md): This method will auto-generate an ID and create a new category. If an ID is specified for the category, an error will be thrown. ## Returns a list of records with the specified award_id - [GET /categories/{tenantId}/award/{award_id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/categories/listcategoriesbyawardid.md): Returns a list of records with the specified award_id ## Returns a category from the system by its ID. - [DELETE /categories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/categories/deletecategory.md): This method will delete a category with the specified ID. ## Returns a category from the system by its ID. - [GET /categories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/categories/getcategory.md): This method will look up a category by the specified ID and return it back. ## Partially updates a category with the specified ID. - [PATCH /categories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/categories/patchcategory.md): This method will patch an existing category with the specified ID, using the HTTP PATCH specification. ## Updates a category with the specified ID. - [PUT /categories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/categories/updatecategory.md): This method will update an existing category with the specified ID.